<?php
/*
Plugin Name: Disable WooCommerce Status
Plugin URI: https://www.littlebizzy.com/plugins/disable-woocommerce-status
Description: Completely disables the WooCommerce Status widget in the WP Admin dashboard to greatly improve backend performance on high traffic WooCommerce shops.
Version: 1.0.1
Author: LittleBizzy
Author URI: https://www.littlebizzy.com
License: GPLv3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Prefix: DWCSTS
*/


// Plugin constants
 define('DWCSTS_VERSION', '1.0.1');
 define('DWCSTS_DIR', plugin_dir_path(__FILE__));
 define('DWCSTS_URL', plugin_dir_url(__FILE__));
 define('DWCSTS_PLUGIN_BASENAME', plugin_basename(__FILE__));


 register_activation_hook(__FILE__, 'dwcsts_activation');
 register_deactivation_hook(__FILE__, 'dwcsts_deactivation');

 function dwcsts_activation() {
   //Activation

 }


 function dwcsts_deactivation() {
    // Deactivation
 }

 /**
  * Class for plugin functionality
  */
  class DWCSTS
  {

    function __construct()
    {
      add_action('wp_dashboard_setup', array( $this, 'removingWCStatus' ));
    }

    function removingWCStatus()
    {
      remove_meta_box( 'woocommerce_dashboard_status', 'dashboard', 'normal');
    }

  }
  $dwcsts = new DWCSTS();
